<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="install" version="1.4" date="2013-06-20" maxthreads="1">


  <!--
    2008-10-30/MMA  Redesign.
    2008-11-05/MMA  task "copy.unistall" is now in a separate file: vida.copy.uninstall.xml.
    2009-03-17/MMA  task "desktop.shortcuts" will no longer be run if main.install.type="REINSTALL"    
    QC10265 : 2011-08-04 : teriks28
          Removed webex
    2013-06-20 : teriks28 : OGB project : removed parameter "request.eswdl" since eswdl is no longer shiped with VIDA.
          Removed input parameter "request.eswdl"
  -->
  
	<includes>
		<file name="vida.install.settings.xml" />
	</includes>

  <parameters>
    <parameter key="request.sqlexpress" value="INPUT#"/>
    <parameter key="request.dice" value="INPUT#"/>
    <parameter key="request.adobereader" value="INPUT#"/>
    <parameter key="request.isoview" value="INPUT#"/>    
    <parameter key="is.vow" value="INPUT#"/>
    <parameter name="request.x64" value="input#"/>
  </parameters>

  <tasks>

    <task name="set.main.install.type" typename="@SetGlobalProperty">
      <description>
        Sets the global property main.install.type to INSTALL.
        This value will not change during the reinstallation.
      </description>
      <dependencies list=""/>
      <parameters>
        <parameter name="property.name" value="main.install.type"/>
        <parameter name="property.value" value="INSTALL"/>
      </parameters>
    </task>

    <task name="doinstall">
      <dependencies list="set.main.install.type"/>
      <subtasks filename="vida.doinstall.xml">
        <parameters>
          <parameter name="is.vow" value="${is.vow}"/>
          <parameter name="request.sqlexpress" value="${request.sqlexpress}"/>
          <parameter name="request.dice" value="${request.dice}"/>
          <parameter name="request.adobereader" value="${request.adobereader}"/>
          <parameter name="request.isoview" value="${request.isoview}"/>          
          <parameter name="request.x64" value="${request.x64}"/>
        </parameters>
      </subtasks>
    </task>
    
  </tasks>
  
  <events>
    <event name="ON_FINISH_OK">
      <subtasks filename="vida.finish.ok.xml">
      </subtasks>
    </event>

    <event name="ON_FINISH_FAILED">
      <subtasks filename="vida.finish.nok.xml">
      </subtasks>
    </event>
    
  </events>
  
  
</taskrunner>

